document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_5500
--- +++ @@ -14,5 +14,5 @@ rm -fr $HOME/.groovy/grapes/ mkdir -p $HOME/.groovy/grapes/ -rm -fr ../templates/maven-quickstart/.lazybones/repo -mkdir -p ../templates/maven-quickstart/.lazybones/repo +rm -fr templates/maven-quickstart/.lazybones/repo +mkdir -p templates/maven-quickstart/.lazybones/repo
bash
d_bash_5501
--- +++ @@ -14,5 +14,7 @@ drush en -y facebook_login # Enable the custom modules -drush en -y ckan_services +drush en -y ckan_integration_endpoint +drush en -y druser_resource +drush en -y session_resource
bash
d_bash_5502
--- +++ @@ -5,3 +5,7 @@ @ignore(){ echo -n "" } + +@private(){ + echo -n "" +}
bash
d_bash_5503
--- +++ @@ -16,7 +16,7 @@ mkdir -p "${kokoro_simulator_root}" if [[ ! -e "${base_image_tarball}" ]]; then if [[ "$(docker images -q ${base_image} 2> /dev/null)" == "" ]]; then - docker build -t ${base_image} - < Dockerfile + docker build -t ${base_image} . fi docker save ${base_image} |...
bash
d_bash_5504
--- +++ @@ -17,4 +17,5 @@ cmake .. make make install +ldconfig cd ~ && rm -rf opencv-3.1.0
bash
d_bash_5505
--- +++ @@ -10,7 +10,7 @@ CODEGEN_VERSION="2.2.2" CODEGEN_URL="http://central.maven.org/maven2/io/swagger/swagger-codegen-cli/\ ${CODEGEN_VERSION}/swagger-codegen-cli-${CODEGEN_VERSION}.jar" -CODEGEN_JAR="${WORKDIR}/codegen.jar" +CODEGEN_JAR="${WORKDIR}/codegen-${CODEGEN_VERSION}.jar" CODEGEN_DEST="src/api" mk...
bash
d_bash_5506
--- +++ @@ -4,7 +4,11 @@ C_STUB=architecture.${arch}.stdlib.cpp LL_STUB=architecture.${arch}.stdlib.ll RESULT=architecture.${arch}.initmod.c - + + if [[ $arch == "ptx" ]]; then + LL_STUB="$LL_STUB architecture.x86.stdlib.ll" + fi + clang -emit-llvm -S $C_STUB -o - \ ...
bash
d_bash_5507
--- +++ @@ -1,26 +1,34 @@ #!/bin/bash sleep 1 +# nice -10, launch process with priority: 10. +# nice --10, high priority: -10 +# Priority is greater with lesser value. +# Negative nice value will increase the priority a the process. + # First: open apps -notify-send "Opening initial apps..." -guake & -~/Programs...
bash
d_bash_5508
--- +++ @@ -6,6 +6,6 @@ if [ -z "$ONLY_CHECK" ]; then ./gradlew cobertura ~/jpm/bin/codacy-coverage-reporter --language Java --coverageReport build/reports/cobertura/coverage.xml --projectToken "$codacy_project_token" - ./gradlew sonarqube -Dsonar.host.url=$sonar_host -Dsonar.login=$sonar_login + ./g...
bash
d_bash_5509
--- +++ @@ -23,7 +23,7 @@ dbus-send --system --print-reply --dest=org.freedesktop.login1 /org/freedesktop/login1 "org.freedesktop.login1.Manager.Reboot" boolean:true ;; shutdown) - dbus-send --system --print-reply --dest="org.freedesktop.ConsoleKit" /org/freedesktop/ConsoleKit/Manager org.freed...
bash
d_bash_5510
--- +++ @@ -1 +1 @@ -env -i HTTP_USER_AGENT=NomadHealthCheck/${NOMAD_SHORT_ALLOC_ID} REQUEST_METHOD=GET REQUEST_URI=/ping SCRIPT_FILENAME=/app/public/index.php cgi-fcgi -bind -connect /var/opt/nomad/run/${NOMAD_JOB_NAME}-${NOMAD_ALLOC_ID}.sock | grep -E 'pong$' || (exit 2) +env -i SERVER_NAME=${APP_URL:8} HTTP_USER_A...
bash
d_bash_5511
--- +++ @@ -1,3 +1,3 @@ mkdir -p ../cpp_odbc_build cd ../cpp_odbc_build -cmake -DCMAKE_MODULE_PATH=/localdata/mkoenig/workspace/cmake_scripts ../cpp_odbc +cmake -DCMAKE_MODULE_PATH=/home/localdata/${USER}/workspace/cmake_scripts ../cpp_odbc
bash
d_bash_5512
--- +++ @@ -31,8 +31,25 @@ case "${BUILD_TARGET}" in linux-auto-*) + # By default, the BLE layer is enabled in OpenWeave Core and, by + # default on Linux, the BLE layer is implemented by BlueZ. On Linux, + # BlueZ requires: + # + # * libdbus-1-dev + # * libical-d...
bash
d_bash_5513
--- +++ @@ -7,7 +7,9 @@ . 0-check-and-set.sh $1 fi -tar cfz $build_dir/$rootfs_dir$TAR_EXTENSION $build_dir/$rootfs_dir +cd $build_dir +tar cfz $rootfs_dir$TAR_EXTENSION $rootfs_dir +cd - >/dev/null echo echo "$build_dir/$rootfs_dir$TAR_EXTENSION created"
bash
d_bash_5514
--- +++ @@ -1,2 +1,3 @@ #!/bin/bash -sudo PYTHONPATH=$PYTHONPATH:../../../vobject/:../../../../CalDAVClientLibrary/trunk/src:../../../Twisted/ python mkcal.py 5466 5465 +sudo PYTHONPATH=$PYTHONPATH:../../../vobject/:../../../../CalDAVClientLibrary/trunk/src:../../../Twisted/ python -i mkcal.py "$@" +
bash
d_bash_5515
--- +++ @@ -2,7 +2,7 @@ # Clone the project on the host and not within the dockerfile # This keeps the generated docker image smaller -if false; then +if true; then echo echo "PREPARE: Download resources for docker image" echo "--------------------------------------------" @@ -19,7 +19,7 @@ docker build...
bash
d_bash_5516
--- +++ @@ -2,7 +2,7 @@ xargs brew install < brew.installed -# Don't forget to install rescuetime, flux, chrome, vscode, and ohmyzsh?, iterm2, install new version of vim (maybe also create alias vim to point to new version) +# Don't forget to install rescuetime, flux, chrome, vscode (run vscodesettings.sh after ...
bash
d_bash_5517
--- +++ @@ -7,6 +7,9 @@ # Keep-alive: update existing `sudo` time stamp until `cask.sh` has finished. while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null & + +# Intall Homebrew Cask +brew install caskroom/cask/brew-cask # Changes the path where symlinks to the cask applications will b...
bash
d_bash_5518
--- +++ @@ -1,8 +1,8 @@ #!/usr/bin/env sh +address="https://github.com/IshitaTakeshi/PartsBasedDetector.git" + project_root=$(julia -e 'print(Pkg.dir("PartsBasedDetector"))') - -address="https://github.com/IshitaTakeshi/PartsBasedDetector.git" deps_dir="$project_root/deps" prefix="$deps_dir/usr" src_dir="$deps...
bash
d_bash_5519
--- +++ @@ -11,3 +11,6 @@ make make test make install + +# Includes man pages and other miscellaneous. +rm -rf "${PREFIX}/share"
bash
d_bash_5520
--- +++ @@ -9,5 +9,6 @@ --with-coverage \ --cover-package=ckanext.extractor \ --cover-erase \ + --cover-inclusive \ $@
bash
d_bash_5521
--- +++ @@ -2,7 +2,7 @@ PATH="/src_ivy/dmeiser/PTSOLVE/bin:/scr_ivy/dmeiser/PTSOLVE/openmpi/bin:$PATH" \ /scr_ivy/dmeiser/PTSOLVE/cmake/bin/cmake \ - -DCMAKE_INSTALL_PREFIX:PATH=/scr_ivy/dmeiser/PTSOLVE/libTxHPCG \ + -DCMAKE_INSTALL_PREFIX:PATH=/scr_ivy/dmeiser/PTSOLVE/TxHPCG \ -DCMAKE_BUILD_TYPE:S...
bash
d_bash_5522
--- +++ @@ -1,4 +1,4 @@ -#/bin/bash +#!/bin/bash # Create users.
bash
d_bash_5523
--- +++ @@ -14,7 +14,7 @@ time bundle exec rake db:create db:migrate db:test:prepare --trace RAILS_ENV=production SKIP_OBSERVERS_FOR_ASSET_TASKS=true time bundle exec rake assets:clean --trace RAILS_ENV=test CUCUMBER_FORMAT=progress time bundle exec rake ci:setup:minitest default test:cleanup --trace -RAILS_ENV=pr...
bash
d_bash_5524
--- +++ @@ -1,6 +1,5 @@ #!/bin/sh -pandoc --from=markdown --to=rst --output=README.rst README.md +pandoc --from=markdown_github --to=rst --output=README.rst README.md cd docs -make clean make html cd ..
bash
d_bash_5525
--- +++ @@ -3,6 +3,8 @@ set -eux apt-get purge -qq '^mysql*' '^libmysql*' +rm -fr /etc/mysql +rm -fr /var/lib/mysql apt-key adv --keyserver pgp.mit.edu --recv-keys 5072E1F5 add-apt-repository 'deb http://repo.mysql.com/apt/ubuntu/ trusty mysql-8.0' apt-get update -qq
bash
d_bash_5526
--- +++ @@ -2,6 +2,7 @@ if [[ "$1" == "stack" && "$2" == "install" ]]; then if is_service_enabled mysql; then + echo "Fixing mysql user privileges..." start_service mariadb sudo mysqladmin -u root password $DATABASE_PASSWORD || true sudo mysql -uroot -p$DATABASE_PASSWORD -h12...
bash
d_bash_5527
--- +++ @@ -5,7 +5,7 @@ KUBE_OS_CLOUD_CONFIG=/etc/sysconfig/kube_openstack_config # kubernetes backend only support keystone v2 at this point -AUTH_URL=${AUTH_URL/v3/v2} +AUTH_URL=$(echo "$AUTH_URL" | tr -s "v3" "v2") # Generate a the configuration for Kubernetes services # to talk to OpenStack Neutron
bash
d_bash_5528
--- +++ @@ -19,4 +19,4 @@ cd "$JTS3_DIR" || exit 1 echo "=> Starting JTS3ServerMod by Stefan1200 (https://www.stefan1200.de) ..." -exec gosu "$JTS3_USER" java "$JTS3_JAVA_ARGS" -jar "$JTS3_DIR/JTS3ServerMod.jar" +exec gosu "$JTS3_USER":"$JTS3_GROUP" java "$JTS3_JAVA_ARGS" -jar "$JTS3_DIR/JTS3ServerMod.jar"
bash
d_bash_5529
--- +++ @@ -19,5 +19,5 @@ echo "Restart mysql..." sudo mysql -e "use mysql; update user set authentication_string=PASSWORD('') where User='root'; update user set plugin='mysql_native_password';FLUSH PRIVILEGES;" -sudo mysql -e "create schema if not exists \`nabu-3\` default charset set utf8mb4 default collate utf...
bash
d_bash_5530
--- +++ @@ -1,2 +1,3 @@ -# If you installed the SDK via Homebrew, otherwise ~/Library/Android/sdk -export ANDROID_HOME=/usr/local/opt/android-sdk +export ANDROID_HOME=~/Library/Android/sdk +export PATH=${PATH}:${ANDROID_HOME}/tools +export PATH=${PATH}:${ANDROID_HOME}/platform-tools
bash
d_bash_5531
--- +++ @@ -11,7 +11,7 @@ # - This script has been tested to work with RHEL & CentOS # - This script must be run as root # - This script can be installed in /etc/init.d or run from the command-line -# - The authorized_keys outfile requires local user permissions +# - SSH authorized_keys file requires loc...
bash
d_bash_5532
--- +++ @@ -24,5 +24,6 @@ pip install galaxy-lib' fi chown $SLURM_USER_NAME /tmp/slurm +ln -s /export/galaxy-central /galaxy-central exec /usr/bin/supervisord -n -c /etc/supervisor/supervisord.conf
bash
d_bash_5533
--- +++ @@ -3,5 +3,4 @@ python manage.py migrate --noinput python manage.py collectstatic --noinput python manage.py compress --engine jinja2 --extension=.html -python manage.py rebuild_index --noinput gunicorn mozillians.wsgi:application -b 0.0.0.0:${PORT:-8000} --log-file -
bash
d_bash_5534
--- +++ @@ -10,7 +10,7 @@ for i in `seq 1 $TIMEOUT` do - if [ `lsof -nt -iTCP:${SERVICE_PORT:="8080"} | wc -l` -gt 0 ] + if [ `lsof -nt -iTCP:${SERVICE_PORT:="8080"} -sTCP:LISTEN | wc -l` -gt 0 ] then return 0 fi
bash
d_bash_5535
--- +++ @@ -3,6 +3,9 @@ # Set automatic cd (typing directory name with no 'cd') setopt autocd + +# Enable interactive comments (# on the command line) +setopt interactivecomments # Nicer history export HISTSIZE=16384
bash
d_bash_5536
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash -# Clean any previous Dokka docs. -rm -rf docs/api +# Build the Dokka docs. +./assemble_docs.sh # Build the new Dokka docs. -./gradlew clean installArchives --no-daemon --no-parallel +./gradlew installArchives --no-daemon --no-parallel
bash
d_bash_5537
--- +++ @@ -2,27 +2,29 @@ echo "List of all volumes:" +echo + for docker_volume_id in $(docker volume ls -q) do - echo " (Un)named volume: ${docker_volume_id}" + echo "(Un)named volume: ${docker_volume_id}" docker_volume_size=$(docker run --rm -t -v ${docker_volume_id}:/volume_data ubuntu bash -c "...
bash
d_bash_5538
--- +++ @@ -19,7 +19,7 @@ # details. ##===----------------------------------------------------------------------===## -TOPDIR=`pwd | sed -e 's#\(.*/llvm\).*#\1#'` +TOPDIR=`llvm-config --src-root` if test -d "$TOPDIR" ; then cd $TOPDIR ./utils/llvmdo -dirs "include lib tools test utils examples" wc -l | awk...
bash
d_bash_5539
--- +++ @@ -5,6 +5,7 @@ error=0 for i in `find expected/ -type f`; do testfile=${i/expected/test.latest} + sed -i -e 's/Exception(test timed out after \([^ ]*\) milliseconds): [^"]*/TimeoutException after \1 ms/' $i diff -u -I '^make' -I '^Makefile:' $i $testfile ec=$? error=$((error|ec))
bash
d_bash_5540
--- +++ @@ -3,7 +3,7 @@ declare -a versions=("argon" "boron" "carbon") declare -a images=("nsolid" "nsolid-console" "nsolid-storage" "nsolid-cli") -latest=${NSOLID_LTS_LATEST:-'boron'} +latest=${NSOLID_LTS_LATEST:-'carbon'} registry=${DOCKER_REGISTRY:-'nodesource'} release=${NSOLID_VERSION}
bash
d_bash_5541
--- +++ @@ -1,11 +1,14 @@ #!/bin/bash source /config/user-data/edgerouter-backup.conf -# This script runs at boot of the EdgeRouter +# Fix ownership +sudo chown -R root:vyattacfg /config/userdata +sudo chown -R root:vyattacfg /config/scripts + +# Ensure scripts are executable +sudo chmod +x /config/user-data/hook...
bash
d_bash_5542
--- +++ @@ -10,8 +10,12 @@ : ${jagen_sdk_dir:?} : ${jagen_android_product:?} -jagen_sdk_staging_dir="$jagen_sdk_dir/out/target/product/$jagen_android_product" +# set output directory of Android build system +export OUT_DIR="${jagen_out_dir:?}/android" +jagen_sdk_staging_dir="$OUT_DIR/target/product/$jagen_andro...
bash
d_bash_5543
--- +++ @@ -1,6 +1,7 @@ #!/bin/sh set -e +set -x CC=${CC:-cc} @@ -15,5 +16,6 @@ for arg in '' '-w' '-p' '-p -w' do ./testskew ${arg} -L 200 5 + ./testskew ${arg} 10 5.0 20 2.5 40 2.5 80 2.5 160 2.5 320 2.5 sh ./findskew.sh ${arg} done
bash
d_bash_5544
--- +++ @@ -5,7 +5,7 @@ count=`echo "$incoming" | wc -l` if [ $count -ne 1 ] then - exit 1 + exit 2 fi echo client_ip=${client_ip} incoming=$incoming >> i
bash
d_bash_5545
--- +++ @@ -21,5 +21,5 @@ gccargs="" while test "x$1" != "x--" ; do gccargs="$gccargs $1" ; shift ; done shift -${CC-gcc} $gccargs -MM "$@" | sed -e 's+[ ].*/+ +g' >>"${f}.mkdep" -mv -b "${f}.mkdep" "$f" +${CC-gcc} $gccargs -MM "$@" | sed -e 's+[ ][^ ][^ ]*/+ +g' >>"${f}.mkdep" +mv "${f}.mkdep" "$f"
bash
d_bash_5546
--- +++ @@ -12,5 +12,12 @@ sudo mkdir -p /cfsnapshot sudo /etc/init.d/nfs-kernel-server restart +# remove unnecessary restriction +sudo sed -i "s/bind-address = 127.0.0.1//g" /var/vcap/jobs/mysql_node_ng/config/my.cnf +sudo sed -i "s/bind-address = 127.0.0.1//g" /var/vcap/jobs/mysql_node_ng/...
bash
d_bash_5547
--- +++ @@ -33,6 +33,11 @@ then echo $SKIBOOT_VERSION else - exit 1; + if [ ! -z "`cat .version`" ]; + then + cat .version + else + exit 1; + fi fi fi
bash
d_bash_5548
--- +++ @@ -16,7 +16,7 @@ chmod go+x $APP_DIR mkdir -p /var/log/gunicorn touch /var/log/gunicorn/gunicorn-error.log -/var/log/gunicorn/gunicorn-access.log +touch /var/log/gunicorn/gunicorn-access.log tail -n 0 -f /var/logs/gunicorn*.log & export PYTHONPATH=$PYTHONPATH:$APP_DIR export DJANGO_SETTINGS_MODULE='sal...
bash
d_bash_5549
--- +++ @@ -1,20 +1,20 @@ #!/bin/bash -# This script depends on: +# This script depends on binaries that can be sourced from an +# openshift release or built from source: # -# - oc and oadm from openshift-origin-client-tools +# - oc from openshift-origin-client-tools +# - oadm from openshift-origin-server # -# ...
bash
d_bash_5550
--- +++ @@ -30,3 +30,6 @@ # Run Puppet puppet agent --test --waitforcert 60 + +# Install security updates +apt-get update && apt-get dist-upgrade -y
bash
d_bash_5551
--- +++ @@ -7,9 +7,9 @@ distro=`whichdistro` if [[ $distro == "redhat" ]];then - checkinstall zsh git vim tmux ctags bc curl wget gawk python3-pip unzip sqlite gettext procps + checkinstall zsh git vim tmux ctags bc curl wget gawk python3-pip unzip sqlite gettext procps jq else - checkinstall zsh git vim tmux...
bash
d_bash_5552
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash # Copyright © Jonathan G. Rennison 2014 <j.g.rennison@gmail.com> # License: New BSD License, see BSD-LICENSE.txt
bash
d_bash_5553
--- +++ @@ -1,10 +1,14 @@ #!/bin/bash -if [ $# != 1 ]; then - echo "Too many or too few arguments." >&2 +if [ $# -eq 0 ]; then + dst="mnist" +elif [ $# -eq 1 ]; then + dst="$1" +else + echo "Too many arguments." >&2 exit 1 fi -mkdir -p $1 -cd $1 +mkdir -p "$dst" +cd "$dst" wget http://yann.lec...
bash
d_bash_5554
--- +++ @@ -13,5 +13,5 @@ -o ~/workspace/bosh-deployment/bosh-lite-runc.yml \ -o ~/workspace/bosh-deployment/jumpbox-user.yml \ -o ~/workspace/1-click-bosh-lite-pipeline/operations/add-etc-hosts-entry.yml \ - -o ~/workspace/1-click-bosh-lite-pipeline/operations/increase-max-speed.yml - + -o ~/wor...
bash
d_bash_5555
--- +++ @@ -11,6 +11,9 @@ esac if $wrap; then + # Apparently, on MacOS/X we seems to fail to link against rustc libraries. + # In the mean time, just add rust libraries to the LD_LIBRARY_PATH. + #export LD_LIBRARY_PATH=$(rustc --print sysroot)/lib for arg; do case $arg in # ......
bash
d_bash_5556
--- +++ @@ -10,11 +10,11 @@ echo "Eval:" $OSCAP oval eval --results $result $srcdir/$name.oval.xml 2> $stderr -[ -f $stderr ]; +[ ! -s $stderr ] rm $stderr -[ -f $result ] +[ -s $result ] assert_exists 1 '/oval_results/results/system/definitions/definition[@result="true"]' assert_exists 1 '/oval_results/re...
bash
d_bash_5557
--- +++ @@ -26,5 +26,6 @@ cd test test -f ./jenkins/jenkins.sh || exit 1 export target="release" +export compiler="gnu" ./jenkins/jenkins.sh test
bash
d_bash_5558
--- +++ @@ -1,3 +1,4 @@ +#!/bin/bash # ============================================================================ # Brewfile - One to install them all # Britt Gresham @@ -37,21 +38,23 @@ update # Add additional taps -tap homebrew/dupes -tap phinze/cask -tap samueljohn/python -tap neovim/homebrew-neovim +tap ...
bash
d_bash_5559
--- +++ @@ -1,11 +1,4 @@ #! /usr/bin/env bash - -# This script is the entry point for the Travis tests platform. -# It first checks that the package version has been updated ("bump" in the jargon), -# then it runs tests via "make test", and tests the CLI. - - -set -x current_version=`python setup.py --version`
bash
d_bash_5560
--- +++ @@ -6,9 +6,9 @@ alias rm="rm -i" alias grep='grep --color=auto --exclude-dir=.git' -alias p='pacaur -S' -alias pss='pacaur -Ss' -alias py='pacaur -Sy' +alias p='packer -S' +alias pss='packer -Ss' +alias py='packer -Sy' alias cd=' cd' alias e="$EDITOR"
bash
d_bash_5561
--- +++ @@ -6,10 +6,11 @@ ) ~/.coursier/coursier launch -q -P \ - com.lihaoyi:ammonite_2.12.3:1.0.1 \ - is.cir:ciris-core_2.12:0.4.0 \ - is.cir:ciris-enumeratum_2.12:0.4.0 \ - is.cir:ciris-generic_2.12:0.4.0 \ - is.cir:ciris-refined_2.12:0.4.0 \ - is.cir:ciris-squants_2.12:0.4.0 \ - -- --predef-code 'impor...
bash
d_bash_5562
--- +++ @@ -5,6 +5,9 @@ echo "This script must be run as root" 1>&2 exit 1 fi + +# log everything to a file +exec &> >(tee -a "openhabian-build-$(date +%Y-%m-%d_%H%M%S).log") /bin/bash clean.sh /bin/bash update.sh
bash
d_bash_5563
--- +++ @@ -5,7 +5,7 @@ # Adapted from https://coderwall.com/p/9b_lfq and # http://benlimmer.com/2013/12/26/automatically-publish-javadoc-to-gh-pages-with-travis-ci/ -SLUG="inflationx/viewpump" +SLUG="InflationX/ViewPump" JDK="oraclejdk8" BRANCH="master"
bash
d_bash_5564
--- +++ @@ -20,7 +20,7 @@ git clone https://github.com/hashicorp/$plugin cd $plugin rm -rf vendor - go get github.com/hashicorp/vault/api@master + go get github.com/hashicorp/vault/api${API_BRANCH} go mod tidy go mod vendor git add .
bash
d_bash_5565
--- +++ @@ -7,10 +7,11 @@ echo "Starting Config Copy" echo "####################" +cp normal-checks/.codeclimate.yml .codeclimate.yml +cp normal-checks/.eslintrc.json .eslintrc.json +cp normal-checks/.eslintignore .eslintignore cp normal-checks/.stylelintrc.json .stylelintrc.json cp normal-checks/.style...
bash
d_bash_5566
--- +++ @@ -11,7 +11,7 @@ s3cmd --access_key=$BOSH_AWS_ACCESS_KEY_ID --secret_key=$BOSH_AWS_SECRET_ACCESS_KEY put $box_name $bucket_url } -./bin/build-aws ${BOSH_LITE_AMI} ${CF_RELEASE_VERSION} ${GO_PIPELINE_COUNTER} +./bin/build-aws ${BOSH_LITE_AMI} ${CF_RELEASE_VERSION} ${GO_PIPELINE_COUNTER} | tee output ...
bash
d_bash_5567
--- +++ @@ -10,6 +10,7 @@ --name try_gluon_running \ --env RUST_LOG \ --env-file try_gluon.env \ + --cap-add=SYS_PTRACE \ --mount source=letsencrypt,target=/etc/letsencrypt \ --mount source=letsencrypt_log,target=/var/log/letsencrypt \ marwes/try_gluon
bash
d_bash_5568
--- +++ @@ -15,7 +15,7 @@ # limitations under the License. . /builder/prepare_workspace.inc prepare_workspace || exit -echo <<EOF +cat <<EOF **DEPRECATION WARNING** The 'gcr.io/cloud-builders/go:wheezy' image is deprecated. Please switch go 'gcr.io/cloud-builders/go:debian'. Starting no earlier than 2017-12-12 ...
bash
d_bash_5569
--- +++ @@ -5,7 +5,7 @@ # You cannot docker cp to a tmpfs, so tar-piping instead... -readonly CONTAINER=test-web-saver +readonly CONTAINER=${1:-test-web-saver} readonly SRC_PATH=${MY_DIR}/../test/data/cyber-dojo readonly DEST_PATH=/cyber-dojo
bash
d_bash_5570
--- +++ @@ -8,6 +8,7 @@ echo "Generating list of Rubies..." chruby | -ruby -pe '$_.gsub!(/^[^\w]+|-p[0-9]+/, "").gsub!("-", " ")' > $RUBY_DIR/rubies.txt +ruby -pe '$_.gsub!(/^[^\w]+|-p[0-9]+/, "").gsub!("-", " ")' | +uniq > $RUBY_DIR/rubies.txt echo "Complete!"
bash
d_bash_5571
--- +++ @@ -12,4 +12,5 @@ src/tools/perf/run_measurement \ src/tools/perf/record_wpr \ src/content/test/gpu/run_gpu_test.py \ + --exclude=*/third_party/trace-viewer/test_data/* \ -z $1
bash
d_bash_5572
--- +++ @@ -15,4 +15,5 @@ echo "Sublime Text $SUBLIME_TEXT_VERSION prompt did not match as expected" 1>&2 echo " Actual: $ACTUAL_PROMPT" 1>&2 echo " Expected: $EXPECTED_PROMPT" 1>&2 + exit 1 fi
bash
d_bash_5573
--- +++ @@ -13,3 +13,13 @@ -hda "$ROOTFS_IMG" \ -m 1024M -cpu host -smp 4 \ -append "root=/dev/sda rw console=ttyS0" +# Add usb host +# -usb -device usb-host,id=hostkbd,hostbus=3 + + +# In Qemu monitor (telnet localhost 1234): + # Detach keyboard + # device_del hostkbd + + # Re attach keyboard + # device...
bash
d_bash_5574
--- +++ @@ -11,7 +11,7 @@ brew install git tmux chicken clisp rlwrap smlnj ocaml opam cask leiningen pkg-config \ bash-completion gcc freetype vim wget bash cmake automake libgit2 -brew cask install vlc dropbox +brew cask install vlc dropbox pharo julia # Add the new shell to the list of allowed shells sudo ...
bash
d_bash_5575
--- +++ @@ -20,4 +20,5 @@ perl -pe 's/^[ \t]*//' | sed 's/ /\\\\ /g' | xargs git rm" alias glm="git pull origin master" alias gpm="git push origin master" -alias gcl="git clone" +alias gcl="git clone" +alias gpr="git rebase -i master"
bash
d_bash_5576
--- +++ @@ -1,13 +1,52 @@ #!/bin/bash -docker build -t microservices/frontend ./frontend/ -docker build -t microservices/worker ./worker/ -docker build -t microservices/rest-server ./rest-server/ +usage() { + echo "Usage: poor-mans-docker-compose.sh [-bdra]" + echo " poor-mans-docker-compose.sh -h for help" ...
bash
d_bash_5577
--- +++ @@ -7,8 +7,8 @@ # Uninstall doxygen install. Fetch and build updated version from source. #yes | sudo apt-get --purge remove doxygen; -sudo apt-get install bison; -sudo apt-get install mscgen; +#sudo apt-get install bison; +#sudo apt-get install mscgen; git clone https://github.com/doxygen/doxygen.git; ...
bash
d_bash_5578
--- +++ @@ -6,7 +6,6 @@ name="phoenix_bookmarker" rcvar="phoenix_bookmarker_enable" -phoenix_bookmarker_user="allen" start_cmd="phoenix_bookmarker_start" stop_cmd="phoenix_bookmarker_stop" @@ -24,12 +23,11 @@ load_rc_config $name phoenix_bookmarker_start(){ - cd /home/allen/Sites/phoenix-bookmarker...
bash
d_bash_5579
--- +++ @@ -23,6 +23,7 @@ OCC=$(echo $line | cut -d ' ' -f2) for word in $WORDS; do echo "Translating $word" - /usr/bin/sed -ie "s/[[:<:]]$word[[:>:]]/$word ($TRANSLATION $OCC)/g" $INPUT + # using GNU sed command (for case insensitive replace) + sed -i "s/\b\($word\)\b/\1 ($TRA...
bash
d_bash_5580
--- +++ @@ -6,7 +6,7 @@ echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u322-b06/OpenJDK8U-jdk_x64_linux_hotspot_8u322b06.tar.gz" ;; java11) - echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.14%2B9/OpenJDK11U-jdk_x64_linux_hotspot_11.0.14_9.tar.gz" +...
bash
d_bash_5581
--- +++ @@ -2,4 +2,4 @@ docker build -t mayone-teams-dev . -docker run -t -i -p 443:443 mayone-teams-dev /develop/.docker-entry.sh +docker run -t -i -p 127.0.0.1:443:443 mayone-teams-dev /develop/.docker-entry.sh
bash
d_bash_5582
--- +++ @@ -8,7 +8,7 @@ alias -g N="| /dev/null" alias -g S='| sort' alias -g G='| grep' # now you can do: ls foo G something -alias -g canary="/Applications/Google\ Chrome\ Canary.app/Contents/MacOS/Google\ Chrome\ Canary --disable-web-security" +alias -g canary="/Users/valentinz/Applications/Google\ Chrome\ Cana...
bash
d_bash_5583
--- +++ @@ -20,9 +20,9 @@ chmod -R 600 ${ATMOSPHERE_HOME}/extras/ssh/id_rsa -chown -R www-data:www-data ${ATMOSPHERE_HOME} +chown -R www-data:core-services ${ATMOSPHERE_HOME} -chown -R www-data:www-data ${ATMOSPHERE_HOME}/extras/apache +chown -R www-data:core-services ${ATMOSPHERE_HOME}/extras/apache chown ...
bash
d_bash_5584
--- +++ @@ -4,25 +4,42 @@ prep ./test/zdtm.py run --all -f best -x maps04 -x cgroup02 --norst --keep always || fail +FAIL_LIST="" images_list=$(find "test/dump/" -name '*.img') crit="./crit" + +function note() +{ + FAIL_LIST="${FAIL_LIST}\n$*" +} for x in $images_list do [[ "$(basename $x)" == pages* ]] &...
bash
d_bash_5585
--- +++ @@ -11,7 +11,7 @@ if [[ -n $line ]]; then ip=$(echo $line | awk '{ print $1 }') for dir in $dirs; do - rsync -a $dir/ $ip:$dir + rsync -a --exclude='*~' --exclude='#*#' --exclude='.#*' $dir/ $ip:$dir done fi done
bash
d_bash_5586
--- +++ @@ -3,7 +3,8 @@ clamtar=/tmp/clam-av.tar.gz if [ ! -d /opt/clam-av ]; then - echo "Downloading clamav install" + sudo mkdir /opt + echo "Downloading clamav install" curl -o $clamtar http://alphagov.github.com/development-utils/macosx/clam-av.tar.gz sudo tar -C /opt -xzf $clamtar fi
bash
d_bash_5587
--- +++ @@ -11,6 +11,7 @@ node -e "require('babel-core/register'); require('./test/server').default(4002);" & SERVER_PID=$! +echo "No JS error" $COMMAND http://localhost:4002/no-error CODE=$? echo $CODE @@ -19,6 +20,7 @@ exit 1; fi +echo "JS error" $COMMAND http://localhost:4002/error CODE=$? echo $...
bash
d_bash_5588
--- +++ @@ -1,6 +1,7 @@ if [ -d "$HOME/bin" ]; then export PATH=$HOME/bin:$PATH fi +export PATH=$HOME/.local/bin:$PATH export PATH=$PATH:$DOTFILES_HOME/shell/powerline/scripts export TERM=screen-256color # On login use ascii
bash
d_bash_5589
--- +++ @@ -30,7 +30,7 @@ fi title=${f%%.pdf} echo "\begin{frame}" >> $destination - echo " \frametitle{\small ${title//_/\_}}" >> $destination + echo " \frametitle{\small ${title//_/\\_}}" >> $destination echo " \centering" >> $destination echo " \includegraphics[width=0.7\line...
bash
d_bash_5590
--- +++ @@ -7,4 +7,4 @@ mrt install # Update all NPM packages -EXIT_ON_STARTUP=1 mrt run --once +PEERDB_INSTANCES=0 PEERDB_SKIP_MIGRATIONS=1 EXIT_ON_STARTUP=1 mrt run --once
bash
d_bash_5591
--- +++ @@ -2,10 +2,12 @@ cd /target || exit 1 -for i; do - ( - set -e - cd $i - eval "debuild $DOCKER_DEBUILD_OPTS -us -uc --lintian-opts --allow-root" - ) +apt-get update + +for i; do ( + set -e + cd $i + mk-build-deps --install --remove --tool "apt-get --no-install-recommends --yes" + eval "debuild $DOCKER...
bash
d_bash_5592
--- +++ @@ -5,9 +5,8 @@ # Website: https://github.com/tataranovich/tvheadend-iptv-damavik RUN_PREFIX="$(dirname $0)" -TVGUIDE_URL='http://help.telecom.by/_files/TelecomTV/TelecomTVepg.zip' -TVGUIDE_LOCAL="$HOME/TelecomTVepg.zip" -TVGUIDE_XMLTV="$HOME/TelecomTVepg.xmltv" +TVGUIDE_URL='http://help.telecom.by/_files...
bash
d_bash_5593
--- +++ @@ -9,10 +9,11 @@ prove -l tests/integration/config_rules/ \ tests/integration/regression/ \ - tools/test-log.pl + tools/test-log.pl \ + tests/redirects/businesslink_piplinks.t for site in ${REDIRECTED_SITES[@]}; do prove -l tests/unit/sources/${site}_valid_lines.t - prove -...
bash
d_bash_5594
--- +++ @@ -4,7 +4,8 @@ ###################### dir=~/dotfiles -files="bashrc fzf gitconfig js lldbinit oh-my-zsh tmuxinator urlview vimrc zshrc" +files="bashrc fzf gitconfig js lldbinit oh-my-zsh tmux.conf tmuxinator urlview vimrc +xvimrc zshrc" #### cd $dir
bash
d_bash_5595
--- +++ @@ -1,5 +1,6 @@ HISTSIZE=1048576 HISTFILE="$HOME/.bash_history" SAVEHIST=$HISTSIZE +shopt -s histappend # append to history file export EDITOR=vim
bash
d_bash_5596
--- +++ @@ -2,6 +2,8 @@ set -e ./autogen.sh --with-curl=no --disable-db --with-expat=no +make dist distdir=libetpan-travis-build +cd libetpan-travis-build make cd tests make imap-sample
bash
d_bash_5597
--- +++ @@ -30,3 +30,28 @@ do_submenu("Terminal", "Shell", "New Tab", 1) EOF } + +function itab() { +savepath +osascript >/dev/null <<EOF +on do_submenu(app_name, menu_name, menu_item) + -- bring the target application to the front + tell application app_name + activate + end tell + tell applicati...
bash
d_bash_5598
--- +++ @@ -4,13 +4,13 @@ dockutil --no-restart --add "/Applications/Launchpad.app" dockutil --no-restart --add "~/Applications/Google Chrome.app" dockutil --no-restart --add "/Applications/Mail.app" -dockutil --no-restart --add "/Applications/Calendar.app" +dockutil --no-restart --add "/Applications/Fantastical 2...
bash
d_bash_5599
--- +++ @@ -49,5 +49,5 @@ #print_cpu `/usr/sbin/iostat -C` print_apm `/usr/sbin/apm -alb` echo "" - sleep 59 + sleep 1 done
bash